org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageDataRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageDataRow

All Implemented Interfaces:
  MetastorageRow

    public class MetastorageDataRow
    extends Object
    implements MetastorageRow

### Constructor Summary

Constructors
Constructor and Description
`MetastorageDataRow(long link, String key, long keyLink)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `key()`
`long` `keyLink()`
`long` `link()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetastorageDataRow

    public MetastorageDataRow(long link,
                              String key,
                              long keyLink)

### Method Detail

#### link

    public long link()

Specified by:
  `link` in interface `MetastorageRow`
Returns:
  Link for this row.

#### key

    public String key()

Specified by:
  `key` in interface `MetastorageRow`
Returns:
  Key string.

#### keyLink

    public long keyLink()

Specified by:
  `keyLink` in interface `MetastorageRow`
Returns:
  Key link.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020